import capitalizeFirst from "./capitalizeFirst";

const emptyRequest = () => ({
  req: null,
  url: null,
  params: null,
  body: null,
});

const getRequest = (url: string, params = {}) => ({
  req: "GET",
  url,
  params,
  body: null,
});

const postRequest = (url: string, body: any, params: any = {}) => ({
  req: "POST",
  url,
  params,
  body,
});

const deleteRequest = (url: string, id: number | string, params: any = {}) => ({
  req: "DELETE",
  url: `${url}/eliminar`,
  params: {
    ...params,
    [`id${capitalizeFirst(url)}`]: id,
  },
});

export { emptyRequest, getRequest, postRequest, deleteRequest };
